Get the chat apps
curl --request GET \
--url https://guidinghand.ai/v1/chat_apps \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/chat_apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/chat_apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "chat_apps",
"teams": {
"available": true,
"package_url": "<string>"
},
"slack": {
"available": true
},
"workspaces": [
{
"object": "chat_workspace",
"id": "cws_k3j9x2mq1",
"platform": "teams",
"name": "<string>",
"escalations": {
"channel": "<string>",
"name": "<string>"
},
"agent": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}Agent tools
Get the chat apps
Eager’s apps in Microsoft Teams and Slack: whether each is set up on this server, and the org’s linked workspaces (a Teams tenant, a Slack workspace). People there train the org’s agents with Coach and get its escalations in a channel. Needs the admin role or an API key.
GET
/
v1
/
chat_apps
Get the chat apps
curl --request GET \
--url https://guidinghand.ai/v1/chat_apps \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/chat_apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/chat_apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "chat_apps",
"teams": {
"available": true,
"package_url": "<string>"
},
"slack": {
"available": true
},
"workspaces": [
{
"object": "chat_workspace",
"id": "cws_k3j9x2mq1",
"platform": "teams",
"name": "<string>",
"escalations": {
"channel": "<string>",
"name": "<string>"
},
"agent": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"test_case_ids": [
"<string>"
],
"decided_by": {
"type": "person",
"email": "<string>",
"key_id": "<string>"
},
"conversation_id": "<string>",
"agent_id": "<string>",
"approval_id": "<string>",
"question_id": "<string>"
}
}